;***********************************************************************;
;									;
;	System		: 78K0/IB2 Fluorecent Ballast Evaluation Board	;
;			  (EZ-BLST-003)					;
;									;
;	Function	: Wait process					;
;									;
;	CPU		: uPD78F0756					;
;									;
;	Last Update	: 2009/08/10(MON)				;
;									;
;	File name	: wait.asm					;
;									;
;***********************************************************************;

PUBLIC __wait10us		;2MHz clock
PUBLIC __wait90us		;2MHz clock

__wait10us:			;7 clocks
	NOP			;2 clocks
	NOP			;2 clocks
	NOP			;2 clocks
	NOP			;2 clocks
	RET			;6 clocks
				;21 clocks in all
				;count for 0.5us x 21 = 10.5us

__wait90us:			;7 clocks
	MOV B, #26		;4 clocks
	MOV B, #26		;4 clocks
	MOV B, #26		;4 clocks
L1:	DBNZ B, $L1		;6 clocks x 26
	RET			;6 clocks
				;181 clocks in all
				;count for 0.5us x 181 = 90.5us

END
